Need Help - New to RoR

Hello All,

I installed Ruby on Windows (using rubyinstaller-1.9.1-p378.exe from
here - http://rubyforge.org/frs/?group_id=167).
Then I ran gem install rails.

I was following instructions here -http://oreilly.com/pub/a/ruby/
archive/rails.html?page=1 to create my first app.
I was able to start the server and see the first page.

When I click on "About you application's environment" link, I get the
following message.

We're sorry, but something went wrong. We've been notified about this
issue and we'll take a look at it shortly.

I get the same message when I generate a new controller and try to
access that on the URL.

Any idea what is wrong?

Thank you
Sangeetha

Look in your log file (your_app/log/*.log) - the error will be detailed in there.

Also, it seems from the error message you’re running in production mode, you should really switch to development then you’d see the full error message in your browser.

Cheers,

Andy

Hello All,

I installed Ruby on Windows (using rubyinstaller-1.9.1-p378.exe from
here - http://rubyforge.org/frs/?group_id=167).
Then I ran gem install rails.

I was following instructions here -http://oreilly.com/pub/a/ruby/
archive/rails.html?page=1 to create my first app.
I was able to start the server and see the first page.

That tutorial has been 'updated for rails 1.2' and is dated 2005, it
must be hopelessly out of date. Have a look at the Rails Guides
(google it) to get you started and http://www.railstutorial.org/ for a
more in depth tutorial.

When I click on "About you application's environment" link, I get the
following message.

We're sorry, but something went wrong. We've been notified about this
issue and we'll take a look at it shortly.

I get the same message when I generate a new controller and try to
access that on the URL.

Have a look in log/development.log for more information on what went wrong.

Colin

check yours db table does that exists ?

as long as I understood, this is your very first app right?

so, maybe some really basic questions will help…

what DB are you using?

and…

do you have de driver gem for that DB?

I am not sure if I`m right, but

I could simulate your error, and look at the output, on the server terminal window:

!!! The bundled mysql.rb driver has been removed from Rails 2.2. Please install the mysql gem and try again: gem install mysql.

maybe just installing that gem before creating your application, or installing it after and running “rake db:create” to create your application database would help…

Sempre Alerta Para Servir,

Lucas Franceschi
Equipe de Programação (Automação)
SGI Sistemas
(049) 9922-3360

I had the same issue and sold.

go to the mysql lib folder.copy libmysql.dll file and paste in to bin folder in ruby installation. restart your webrick server.

test it. should be work. and let us know.

—sam